Subject: Re: [PATCH net-next v3 08/14] net: ethernet: oa_tc6: Remove FCS size in RX frame

From: David Laight <[email-masked]>
Date: Wed, 3 Jun 2026 09:13:54 +0100

On Tue, 2 Jun 2026 23:47:23 +0200
Andrew Lunn <[email-masked]> wrote:

> > The frames are padded to a minimum size so that collision detect works
> > on maximal length 10M coax segments.
> > (Or rather coax+link+coax+link+coax acting as a single collision domain.)
> > The same minimum frame length is used on modern networks which are all
> > physically point-to-point and all 'hubs' are store+forward where a minimum
> > packet length isn't strictly needed.  
> 
> You need to be careful here. This is automotive T1 system. They do
> actually have old school CSMA/CD. Did i remember the acronym correct,
> Carrier Sensing, Multiple Access, Collision Detection?

That's what I'm remembering it being.
Somewhere I lost (or failed to steal) the hardback (IIRC) 8802.11 book
that explained it all (I doubt it was even 100 pages).

The max length collision domain is a 1.5km coax segment linked by a 1.5km
bridge to a second coax segment and then onto a third coax one.
The minimum packet length has to be greater than the round trip time
from one end to the other.
I doubt a car has that much cable in it.
It might have a 10/100m HDX TP hub that creates a collision domain.
Under load it should retransmit rather than discard.

-- David

> 	Andrew